Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.addon.compliance.HitData Class Reference

Inherits SystemIDisposable.

## Public Types
enum | CheckSeverity { CheckSeverity.e_CheckSeverityInfo = 1, CheckSeverity.e_CheckSeverityWarning = 2, CheckSeverity.e_CheckSeverityError = 3 }
| Enumeration for check severity of a hit data. More...

## Public Member Functions
| HitData ()
| Constructor.
| HitData (HitData other)
| Constructor, with another hit data object. More...

## Properties
string | comment`[get, set]`
| Hit rule comment to explain more details about the rule.
string | name`[get, set]`
| Hit rule name.
int | page_index`[get, set]`
| Page index, starting from 0. -1 means current hit data was hit in document level.
HitData.CheckSeverity | severity`[get, set]`
| The check severity of current hit data. Please refer to values starting from foxit.addon.compliance.HitData.CheckSeverity.e_CheckSeverityInfo and this should be one of these values.
WStringArray? | trigger_values`[get, set]`
| Array of trigger values. The count of triggered values is no more then triggered_count.
int | triggered_count`[get, set]`
| Represents the count of hit operation for current data has been triggered during document verification or conversion process.

## Detailed Description

This class represents a hit data. Hit data represents the data for a hit operation triggered during document verification or conversion process.

## Member Enumeration Documentation

## ◆ CheckSeverity

enum foxit.addon.compliance.HitData.CheckSeverity
| strong

Enumeration for check severity of a hit data.

Values of this enumeration should be used alone.

Enumerator
e_CheckSeverityInfo | Info severity.
e_CheckSeverityWarning | Warning severity.
e_CheckSeverityError | Error severity.

## Constructor & Destructor Documentation

## ◆ HitData()

foxit.addon.compliance.HitData.HitData | ( | HitData | other | ) |
| inline

Constructor, with another hit data object.

Parameters

  [in] | other | Another hit data object.